Subject: [MMUSIC] Design feature chart for bundling proposals

From: [email-masked] (Dale R. Worley)
Date: Sun, 24 Feb 2013 20:39:47 -0500 (EST)

I've submitted a revision of my draft, draft-worley-sdp-bundle-03.
The proposed bundling mechanism is unchanged (although it will need to
be improved, based on the feedback I've received).

The useful part of the new version is a draft of a design feature
comparison chart for the current bundling proposals.  (6 that I've found
so far!)  The chart can be found at
http://tools.ietf.org/html/draft-worley-sdp-bundle-03#section-7
(I'd welcome any corrections or additions to the chart.)  The entire
draft is at
http://tools.ietf.org/html/draft-worley-sdp-bundle-03

Here is a copy of the chart itself (more detailed notes in the draft
itself):

7.  Design Features and Comparison

   Key:

         x = feature present in proposal
         - = feature not present in proposal
         . = feature not discussed in proposal
       N/A = feature is not relevant because of another feature choice

		   worley-sdp-bundle-03 (KUMQUAT)
		   |   ietf-mmusic-sdp-bundle-negotiation-03 (BUNDLE)
		   |   |   holmberg-mmusic-sdp-mmt-negotiation-00 (MMT)
		   |   |   |   alvestrand-one-rtp-02 (TOGETHER)
		   |   |   |   |   ejzak-mmusic-bundle-alternatives-00
		   |   |   |   |   |   Roach alternative 1a
		   |   |   |   |   |   |(roach-mmusic-mlines-00)
		   |   |   |   |   |   |   Roach alternative 1b
		   |   |   |   |   |   |   |   Roach alternative 2
		   |   |   |   |   |   |   |   |   westerlund-avtcore-
		   |   |   |   |   |   |   |   |   |transport-multiplexing-04
		   |   |   |   |   |   |   |   |   |(SHIM)
		   V   V   V   V   V   V   V   V   V
   MD grouping:
       one         -   -   -   -   -   -   x   -   -
       per type    -   -   -   -   -   x   -   -   -
       none        x   x   x   x   x   -   -   x   x

   Separate bundle MD:
       no          -   x   -   x   x   x   x   x   x
       m=anymedia  -   -   x   -   -   -   -   -   -
       m=audio     x   -   -   -   -   -   -   -   -
       m=multipart -   -   -   -   -   -   -   -   -

   Ports in constituent MDs in offer:
       N/A         -   -   -   -   -   x   x   -   -
       same        -   -   -   x   x   -   -   x   x
       different   -   x   x   -   x   -   -   -   -
       null        x   -   -   -   -   -   -   -   -

   Immediate update:
       none        -   -   x   x   x   x   x   x   x
       for support -   x   -   -   -   -   -   -   -
       for compat. x   -   -   -   -   -   -   -   -

   Constituent MD ports after establishment:
       N/A         -   -   -   -   -   x   x   -   -
       same        -   x   -   x   -   -   -   x   x
       different   -   -   -   -   -   -   -   -   -
       null        -   -   -   -   -   -   -   -   -
       rejected    x   -   x   -   x   -   -   -   -

   Bundle MD payload types:
       N/A         -   -   -   -   -   x   x   -   -
       one MD      -   x   -   x   .   -   -   x   x
       all MDs     -   -   x   -   .   -   -   -   -
       encap.      x   -   -   -   .   -   -   -   -

   Constituent MD payload types:
       N/A         -   -   -   -   -   x   x   -   -
       overlapping x   -   -   -   .   -   -   x   x
       distinct    -   x   x   x   .   -   -   -   -

   Demultiplexing based on:
       N/A         -   -   -   -   -   x   x   -   -
       PT          -   x   x   x   .   -   -   -   -
       encap.      x   -   -   -   .   -   -   x   x

   Rejection of bundle MD based on:
       N/A         -   x   -   x   x   x   x   x   x
       media type  -   -   x   -   -   -   -   -   -
       codec       x   -   -   -   -   -   -   -   -

Dale